Page MenuHomePhabricator

Configure suggestion constraint level on Test Wikidata
Closed, ResolvedPublic

Description

  • import the entity
  • merge a config change to configure the new entity ID
  • merge a config change to enable suggestion constraints

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 4:50 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-16T16:54:27Z] <Lucas_WMDE> lucaswerkmeister-wmde@mwmaint1002:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintEntities.php --wiki=testwikidatawiki --config-format=wgConf | tee T221108.php

Maintenance script output:

'wgWBQualityConstraintsSuggestionConstraintId' => [
	'default' => 'Q62026391',
	'testwikidatawiki' => 'Q204138',
],

Took 2.755 s to run (1.420 s user, 0.284 s system).

Change 504374 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Configure suggestion constraint status on testwikidata

https://gerrit.wikimedia.org/r/504374

Change 504374 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure suggestion constraint status on testwikidata

https://gerrit.wikimedia.org/r/504374

Mentioned in SAL (#wikimedia-operations) [2019-04-16T17:16:19Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:504374|no-op preparatory change (T221108)]] (duration: 00m 52s)

Change 504380 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Enable suggestion constraint status on testwikidata

https://gerrit.wikimedia.org/r/504380

Change 504380 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable suggestion constraint status on testwikidata

https://gerrit.wikimedia.org/r/504380

Mentioned in SAL (#wikimedia-operations) [2019-04-17T11:38:00Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:504380|Enable suggestion constraint status on testwikidata (T221108, T204439)]] (duration: 01m 01s)